diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Cache/Memcache.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Cache/Memcache.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Cache/Memcache.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Cache/Memcache.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,183 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Caches data to memcache
+  *
+  * Registered for URLs with the "memcache" protocol
+  *
+  * For example, `memcache://localhost:11211/?timeout=3600&prefix=sp_` will
+  * connect to memcache on `localhost` on port 11211. All tables will be
+  * prefixed with `sp_` and data will expire after 3600 seconds
+  *
+  * @package SimplePie
+  * @subpackage Caching
+  * @uses Memcache
+  */
+ class SimplePie_Cache_Memcache implements SimplePie_Cache_Base
+ {
+ 	/**
+ 	 * Memcache instance
+ 	 *
+ 	 * @var Memcache
+ 	 */
+ 	protected $cache;
+ 
+ 	/**
+ 	 * Options
+ 	 *
+ 	 * @var array
+ 	 */
+ 	protected $options;
+ 
+ 	/**
+ 	 * Cache name
+ 	 *
+ 	 * @var string
+ 	 */
+ 	protected $name;
+ 
+ 	/**
+ 	 * Create a new cache object
+ 	 *
+ 	 * @param string $location Location string (from SimplePie::$cache_location)
+ 	 * @param string $name Unique ID for the cache
+ 	 * @param string $type Either TYPE_FEED for SimplePie data, or TYPE_IMAGE for image data
+ 	 */
+ 	public function __construct($location, $name, $type)
+ 	{
+ 		$this->options = array(
+ 			'host' => '127.0.0.1',
+ 			'port' => 11211,
+ 			'extras' => array(
+ 				'timeout' => 3600, // one hour
+ 				'prefix' => 'simplepie_',
+ 			),
+ 		);
+ 		$parsed = SimplePie_Cache::parse_URL($location);
+ 		$this->options['host'] = empty($parsed['host']) ? $this->options['host'] : $parsed['host'];
+ 		$this->options['port'] = empty($parsed['port']) ? $this->options['port'] : $parsed['port'];
+ 		$this->options['extras'] = array_merge($this->options['extras'], $parsed['extras']);
+ 		$this->name = $this->options['extras']['prefix'] . md5("$name:$type");
+ 
+ 		$this->cache = new Memcache();
+ 		$this->cache->addServer($this->options['host'], (int) $this->options['port']);
+ 	}
+ 
+ 	/**
+ 	 * Save data to the cache
+ 	 *
+ 	 * @param array|SimplePie $data Data to store in the cache. If passed a SimplePie object, only cache the $data property
+ 	 * @return bool Successfulness
+ 	 */
+ 	public function save($data)
+ 	{
+ 		if ($data instanceof SimplePie)
+ 		{
+ 			$data = $data->data;
+ 		}
+ 		return $this->cache->set($this->name, serialize($data), MEMCACHE_COMPRESSED, (int) $this->options['extras']['timeout']);
+ 	}
+ 
+ 	/**
+ 	 * Retrieve the data saved to the cache
+ 	 *
+ 	 * @return array Data for SimplePie::$data
+ 	 */
+ 	public function load()
+ 	{
+ 		$data = $this->cache->get($this->name);
+ 
+ 		if ($data !== false)
+ 		{
+ 			return unserialize($data);
+ 		}
+ 		return false;
+ 	}
+ 
+ 	/**
+ 	 * Retrieve the last modified time for the cache
+ 	 *
+ 	 * @return int Timestamp
+ 	 */
+ 	public function mtime()
+ 	{
+ 		$data = $this->cache->get($this->name);
+ 
+ 		if ($data !== false)
+ 		{
+ 			// essentially ignore the mtime because Memcache expires on it's own
+ 			return time();
+ 		}
+ 
+ 		return false;
+ 	}
+ 
+ 	/**
+ 	 * Set the last modified time to the current time
+ 	 *
+ 	 * @return bool Success status
+ 	 */
+ 	public function touch()
+ 	{
+ 		$data = $this->cache->get($this->name);
+ 
+ 		if ($data !== false)
+ 		{
+ 			return $this->cache->set($this->name, $data, MEMCACHE_COMPRESSED, (int) $this->duration);
+ 		}
+ 
+ 		return false;
+ 	}
+ 
+ 	/**
+ 	 * Remove the cache
+ 	 *
+ 	 * @return bool Success status
+ 	 */
+ 	public function unlink()
+ 	{
+ 		return $this->cache->delete($this->name, 0);
+ 	}
+ }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Cache/MySQL.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Cache/MySQL.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Cache/MySQL.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Cache/MySQL.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,438 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Caches data to a MySQL database
+  *
+  * Registered for URLs with the "mysql" protocol
+  *
+  * For example, `mysql://root:password@localhost:3306/mydb?prefix=sp_` will
+  * connect to the `mydb` database on `localhost` on port 3306, with the user
+  * `root` and the password `password`. All tables will be prefixed with `sp_`
+  *
+  * @package SimplePie
+  * @subpackage Caching
+  */
+ class SimplePie_Cache_MySQL extends SimplePie_Cache_DB
+ {
+ 	/**
+ 	 * PDO instance
+ 	 *
+ 	 * @var PDO
+ 	 */
+ 	protected $mysql;
+ 
+ 	/**
+ 	 * Options
+ 	 *
+ 	 * @var array
+ 	 */
+ 	protected $options;
+ 
+ 	/**
+ 	 * Cache ID
+ 	 *
+ 	 * @var string
+ 	 */
+ 	protected $id;
+ 
+ 	/**
+ 	 * Create a new cache object
+ 	 *
+ 	 * @param string $location Location string (from SimplePie::$cache_location)
+ 	 * @param string $name Unique ID for the cache
+ 	 * @param string $type Either TYPE_FEED for SimplePie data, or TYPE_IMAGE for image data
+ 	 */
+ 	public function __construct($location, $name, $type)
+ 	{
+ 		$this->options = array(
+ 			'user' => null,
+ 			'pass' => null,
+ 			'host' => '127.0.0.1',
+ 			'port' => '3306',
+ 			'path' => '',
+ 			'extras' => array(
+ 				'prefix' => '',
+ 			),
+ 		);
+ 		$this->options = array_merge_recursive($this->options, SimplePie_Cache::parse_URL($location));
+ 
+ 		// Path is prefixed with a "/"
+ 		$this->options['dbname'] = substr($this->options['path'], 1);
+ 
+ 		try
+ 		{
+ 			$this->mysql = new PDO("mysql:dbname={$this->options['dbname']};host={$this->options['host']};port={$this->options['port']}", $this->options['user'], $this->options['pass'], array(PDO::MYSQL_ATTR_INIT_COMMAND => 'SET NAMES utf8'));
+ 		}
+ 		catch (PDOException $e)
+ 		{
+ 			$this->mysql = null;
+ 			return;
+ 		}
+ 
+ 		$this->id = $name . $type;
+ 
+ 		if (!$query = $this->mysql->query('SHOW TABLES'))
+ 		{
+ 			$this->mysql = null;
+ 			return;
+ 		}
+ 
+ 		$db = array();
+ 		while ($row = $query->fetchColumn())
+ 		{
+ 			$db[] = $row;
+ 		}
+ 
+ 		if (!in_array($this->options['extras']['prefix'] . 'cache_data', $db))
+ 		{
+ 			$query = $this->mysql->exec('CREATE TABLE `' . $this->options['extras']['prefix'] . 'cache_data` (`id` TEXT CHARACTER SET utf8 NOT NULL, `items` SMALLINT NOT NULL DEFAULT 0, `data` BLOB NOT NULL, `mtime` INT UNSIGNED NOT NULL, UNIQUE (`id`(125)))');
+ 			if ($query === false)
+ 			{
+ 				$this->mysql = null;
+ 			}
+ 		}
+ 
+ 		if (!in_array($this->options['extras']['prefix'] . 'items', $db))
+ 		{
+ 			$query = $this->mysql->exec('CREATE TABLE `' . $this->options['extras']['prefix'] . 'items` (`feed_id` TEXT CHARACTER SET utf8 NOT NULL, `id` TEXT CHARACTER SET utf8 NOT NULL, `data` TEXT CHARACTER SET utf8 NOT NULL, `posted` INT UNSIGNED NOT NULL, INDEX `feed_id` (`feed_id`(125)))');
+ 			if ($query === false)
+ 			{
+ 				$this->mysql = null;
+ 			}
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Save data to the cache
+ 	 *
+ 	 * @param array|SimplePie $data Data to store in the cache. If passed a SimplePie object, only cache the $data property
+ 	 * @return bool Successfulness
+ 	 */
+ 	public function save($data)
+ 	{
+ 		if ($this->mysql === null)
+ 		{
+ 			return false;
+ 		}
+ 
+ 		if ($data instanceof SimplePie)
+ 		{
+ 			$data = clone $data;
+ 
+ 			$prepared = self::prepare_simplepie_object_for_cache($data);
+ 
+ 			$query = $this->mysql->prepare('SELECT COUNT(*) FROM `' . $this->options['extras']['prefix'] . 'cache_data` WHERE `id` = :feed');
+ 			$query->bindValue(':feed', $this->id);
+ 			if ($query->execute())
+ 			{
+ 				if ($query->fetchColumn() > 0)
+ 				{
+ 					$items = count($prepared[1]);
+ 					if ($items)
+ 					{
+ 						$sql = 'UPDATE `' . $this->options['extras']['prefix'] . 'cache_data` SET `items` = :items, `data` = :data, `mtime` = :time WHERE `id` = :feed';
+ 						$query = $this->mysql->prepare($sql);
+ 						$query->bindValue(':items', $items);
+ 					}
+ 					else
+ 					{
+ 						$sql = 'UPDATE `' . $this->options['extras']['prefix'] . 'cache_data` SET `data` = :data, `mtime` = :time WHERE `id` = :feed';
+ 						$query = $this->mysql->prepare($sql);
+ 					}
+ 
+ 					$query->bindValue(':data', $prepared[0]);
+ 					$query->bindValue(':time', time());
+ 					$query->bindValue(':feed', $this->id);
+ 					if (!$query->execute())
+ 					{
+ 						return false;
+ 					}
+ 				}
+ 				else
+ 				{
+ 					$query = $this->mysql->prepare('INSERT INTO `' . $this->options['extras']['prefix'] . 'cache_data` (`id`, `items`, `data`, `mtime`) VALUES(:feed, :count, :data, :time)');
+ 					$query->bindValue(':feed', $this->id);
+ 					$query->bindValue(':count', count($prepared[1]));
+ 					$query->bindValue(':data', $prepared[0]);
+ 					$query->bindValue(':time', time());
+ 					if (!$query->execute())
+ 					{
+ 						return false;
+ 					}
+ 				}
+ 
+ 				$ids = array_keys($prepared[1]);
+ 				if (!empty($ids))
+ 				{
+ 					foreach ($ids as $id)
+ 					{
+ 						$database_ids[] = $this->mysql->quote($id);
+ 					}
+ 
+ 					$query = $this->mysql->prepare('SELECT `id` FROM `' . $this->options['extras']['prefix'] . 'items` WHERE `id` = ' . implode(' OR `id` = ', $database_ids) . ' AND `feed_id` = :feed');
+ 					$query->bindValue(':feed', $this->id);
+ 
+ 					if ($query->execute())
+ 					{
+ 						$existing_ids = array();
+ 						while ($row = $query->fetchColumn())
+ 						{
+ 							$existing_ids[] = $row;
+ 						}
+ 
+ 						$new_ids = array_diff($ids, $existing_ids);
+ 
+ 						foreach ($new_ids as $new_id)
+ 						{
+ 							if (!($date = $prepared[1][$new_id]->get_date('U')))
+ 							{
+ 								$date = time();
+ 							}
+ 
+ 							$query = $this->mysql->prepare('INSERT INTO `' . $this->options['extras']['prefix'] . 'items` (`feed_id`, `id`, `data`, `posted`) VALUES(:feed, :id, :data, :date)');
+ 							$query->bindValue(':feed', $this->id);
+ 							$query->bindValue(':id', $new_id);
+ 							$query->bindValue(':data', serialize($prepared[1][$new_id]->data));
+ 							$query->bindValue(':date', $date);
+ 							if (!$query->execute())
+ 							{
+ 								return false;
+ 							}
+ 						}
+ 						return true;
+ 					}
+ 				}
+ 				else
+ 				{
+ 					return true;
+ 				}
+ 			}
+ 		}
+ 		else
+ 		{
+ 			$query = $this->mysql->prepare('SELECT `id` FROM `' . $this->options['extras']['prefix'] . 'cache_data` WHERE `id` = :feed');
+ 			$query->bindValue(':feed', $this->id);
+ 			if ($query->execute())
+ 			{
+ 				if ($query->rowCount() > 0)
+ 				{
+ 					$query = $this->mysql->prepare('UPDATE `' . $this->options['extras']['prefix'] . 'cache_data` SET `items` = 0, `data` = :data, `mtime` = :time WHERE `id` = :feed');
+ 					$query->bindValue(':data', serialize($data));
+ 					$query->bindValue(':time', time());
+ 					$query->bindValue(':feed', $this->id);
+ 					if ($this->execute())
+ 					{
+ 						return true;
+ 					}
+ 				}
+ 				else
+ 				{
+ 					$query = $this->mysql->prepare('INSERT INTO `' . $this->options['extras']['prefix'] . 'cache_data` (`id`, `items`, `data`, `mtime`) VALUES(:id, 0, :data, :time)');
+ 					$query->bindValue(':id', $this->id);
+ 					$query->bindValue(':data', serialize($data));
+ 					$query->bindValue(':time', time());
+ 					if ($query->execute())
+ 					{
+ 						return true;
+ 					}
+ 				}
+ 			}
+ 		}
+ 		return false;
+ 	}
+ 
+ 	/**
+ 	 * Retrieve the data saved to the cache
+ 	 *
+ 	 * @return array Data for SimplePie::$data
+ 	 */
+ 	public function load()
+ 	{
+ 		if ($this->mysql === null)
+ 		{
+ 			return false;
+ 		}
+ 
+ 		$query = $this->mysql->prepare('SELECT `items`, `data` FROM `' . $this->options['extras']['prefix'] . 'cache_data` WHERE `id` = :id');
+ 		$query->bindValue(':id', $this->id);
+ 		if ($query->execute() && ($row = $query->fetch()))
+ 		{
+ 			$data = unserialize($row[1]);
+ 
+ 			if (isset($this->options['items'][0]))
+ 			{
+ 				$items = (int) $this->options['items'][0];
+ 			}
+ 			else
+ 			{
+ 				$items = (int) $row[0];
+ 			}
+ 
+ 			if ($items !== 0)
+ 			{
+ 				if (isset($data['child'][SIMPLEPIE_NAMESPACE_ATOM_10]['feed'][0]))
+ 				{
+ 					$feed =& $data['child'][SIMPLEPIE_NAMESPACE_ATOM_10]['feed'][0];
+ 				}
+ 				elseif (isset($data['child'][SIMPLEPIE_NAMESPACE_ATOM_03]['feed'][0]))
+ 				{
+ 					$feed =& $data['child'][SIMPLEPIE_NAMESPACE_ATOM_03]['feed'][0];
+ 				}
+ 				elseif (isset($data['child'][SIMPLEPIE_NAMESPACE_RDF]['RDF'][0]))
+ 				{
+ 					$feed =& $data['child'][SIMPLEPIE_NAMESPACE_RDF]['RDF'][0];
+ 				}
+ 				elseif (isset($data['child'][SIMPLEPIE_NAMESPACE_RSS_20]['rss'][0]))
+ 				{
+ 					$feed =& $data['child'][SIMPLEPIE_NAMESPACE_RSS_20]['rss'][0];
+ 				}
+ 				else
+ 				{
+ 					$feed = null;
+ 				}
+ 
+ 				if ($feed !== null)
+ 				{
+ 					$sql = 'SELECT `data` FROM `' . $this->options['extras']['prefix'] . 'items` WHERE `feed_id` = :feed ORDER BY `posted` DESC';
+ 					if ($items > 0)
+ 					{
+ 						$sql .= ' LIMIT ' . $items;
+ 					}
+ 
+ 					$query = $this->mysql->prepare($sql);
+ 					$query->bindValue(':feed', $this->id);
+ 					if ($query->execute())
+ 					{
+ 						while ($row = $query->fetchColumn())
+ 						{
+ 							$feed['child'][SIMPLEPIE_NAMESPACE_ATOM_10]['entry'][] = unserialize($row);
+ 						}
+ 					}
+ 					else
+ 					{
+ 						return false;
+ 					}
+ 				}
+ 			}
+ 			return $data;
+ 		}
+ 		return false;
+ 	}
+ 
+ 	/**
+ 	 * Retrieve the last modified time for the cache
+ 	 *
+ 	 * @return int Timestamp
+ 	 */
+ 	public function mtime()
+ 	{
+ 		if ($this->mysql === null)
+ 		{
+ 			return false;
+ 		}
+ 
+ 		$query = $this->mysql->prepare('SELECT `mtime` FROM `' . $this->options['extras']['prefix'] . 'cache_data` WHERE `id` = :id');
+ 		$query->bindValue(':id', $this->id);
+ 		if ($query->execute() && ($time = $query->fetchColumn()))
+ 		{
+ 			return $time;
+ 		}
+ 		else
+ 		{
+ 			return false;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Set the last modified time to the current time
+ 	 *
+ 	 * @return bool Success status
+ 	 */
+ 	public function touch()
+ 	{
+ 		if ($this->mysql === null)
+ 		{
+ 			return false;
+ 		}
+ 
+ 		$query = $this->mysql->prepare('UPDATE `' . $this->options['extras']['prefix'] . 'cache_data` SET `mtime` = :time WHERE `id` = :id');
+ 		$query->bindValue(':time', time());
+ 		$query->bindValue(':id', $this->id);
+ 		if ($query->execute() && $query->rowCount() > 0)
+ 		{
+ 			return true;
+ 		}
+ 		else
+ 		{
+ 			return false;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Remove the cache
+ 	 *
+ 	 * @return bool Success status
+ 	 */
+ 	public function unlink()
+ 	{
+ 		if ($this->mysql === null)
+ 		{
+ 			return false;
+ 		}
+ 
+ 		$query = $this->mysql->prepare('DELETE FROM `' . $this->options['extras']['prefix'] . 'cache_data` WHERE `id` = :id');
+ 		$query->bindValue(':id', $this->id);
+ 		$query2 = $this->mysql->prepare('DELETE FROM `' . $this->options['extras']['prefix'] . 'items` WHERE `feed_id` = :id');
+ 		$query2->bindValue(':id', $this->id);
+ 		if ($query->execute() && $query2->execute())
+ 		{
+ 			return true;
+ 		}
+ 		else
+ 		{
+ 			return false;
+ 		}
+ 	}
+ }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Cache.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Cache.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Cache.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Cache.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,133 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Used to create cache objects
+  *
+  * This class can be overloaded with {@see SimplePie::set_cache_class()},
+  * although the preferred way is to create your own handler
+  * via {@see register()}
+  *
+  * @package SimplePie
+  * @subpackage Caching
+  */
+ class SimplePie_Cache
+ {
+ 	/**
+ 	 * Cache handler classes
+ 	 *
+ 	 * These receive 3 parameters to their constructor, as documented in
+ 	 * {@see register()}
+ 	 * @var array
+ 	 */
+ 	protected static $handlers = array(
+ 		'mysql' => 'SimplePie_Cache_MySQL',
+ 		'memcache' => 'SimplePie_Cache_Memcache',
+ 	);
+ 
+ 	/**
+ 	 * Don't call the constructor. Please.
+ 	 */
+ 	private function __construct() { }
+ 
+ 	/**
+ 	 * Create a new SimplePie_Cache object
+ 	 *
+ 	 * @param string $location URL location (scheme is used to determine handler)
+ 	 * @param string $filename Unique identifier for cache object
+ 	 * @param string $extension 'spi' or 'spc'
+ 	 * @return SimplePie_Cache_Base Type of object depends on scheme of `$location`
+ 	 */
+ 	public static function get_handler($location, $filename, $extension)
+ 	{
+ 		$type = explode(':', $location, 2);
+ 		$type = $type[0];
+ 		if (!empty(self::$handlers[$type]))
+ 		{
+ 			$class = self::$handlers[$type];
+ 			return new $class($location, $filename, $extension);
+ 		}
+ 
+ 		return new SimplePie_Cache_File($location, $filename, $extension);
+ 	}
+ 
+ 	/**
+ 	 * Create a new SimplePie_Cache object
+ 	 *
+ 	 * @deprecated Use {@see get_handler} instead
+ 	 */
+ 	public function create($location, $filename, $extension)
+ 	{
+ 		trigger_error('Cache::create() has been replaced with Cache::get_handler(). Switch to the registry system to use this.', E_USER_DEPRECATED);
+ 		return self::get_handler($location, $filename, $extension);
+ 	}
+ 
+ 	/**
+ 	 * Register a handler
+ 	 *
+ 	 * @param string $type DSN type to register for
+ 	 * @param string $class Name of handler class. Must implement SimplePie_Cache_Base
+ 	 */
+ 	public static function register($type, $class)
+ 	{
+ 		self::$handlers[$type] = $class;
+ 	}
+ 
+ 	/**
+ 	 * Parse a URL into an array
+ 	 *
+ 	 * @param string $url
+ 	 * @return array
+ 	 */
+ 	public static function parse_URL($url)
+ 	{
+ 		$params = parse_url($url);
+ 		$params['extras'] = array();
+ 		if (isset($params['query']))
+ 		{
+ 			parse_str($params['query'], $params['extras']);
+ 		}
+ 		return $params;
+ 	}
+ }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Caption.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Caption.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Caption.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Caption.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,210 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ 
+ /**
+  * Handles `<media:text>` captions as defined in Media RSS.
+  *
+  * Used by {@see SimplePie_Enclosure::get_caption()} and {@see SimplePie_Enclosure::get_captions()}
+  *
+  * This class can be overloaded with {@see SimplePie::set_caption_class()}
+  *
+  * @package SimplePie
+  * @subpackage API
+  */
+ class SimplePie_Caption
+ {
+ 	/**
+ 	 * Content type
+ 	 *
+ 	 * @var string
+ 	 * @see get_type()
+ 	 */
+ 	var $type;
+ 
+ 	/**
+ 	 * Language
+ 	 *
+ 	 * @var string
+ 	 * @see get_language()
+ 	 */
+ 	var $lang;
+ 
+ 	/**
+ 	 * Start time
+ 	 *
+ 	 * @var string
+ 	 * @see get_starttime()
+ 	 */
+ 	var $startTime;
+ 
+ 	/**
+ 	 * End time
+ 	 *
+ 	 * @var string
+ 	 * @see get_endtime()
+ 	 */
+ 	var $endTime;
+ 
+ 	/**
+ 	 * Caption text
+ 	 *
+ 	 * @var string
+ 	 * @see get_text()
+ 	 */
+ 	var $text;
+ 
+ 	/**
+ 	 * Constructor, used to input the data
+ 	 *
+ 	 * For documentation on all the parameters, see the corresponding
+ 	 * properties and their accessors
+ 	 */
+ 	public function __construct($type = null, $lang = null, $startTime = null, $endTime = null, $text = null)
+ 	{
+ 		$this->type = $type;
+ 		$this->lang = $lang;
+ 		$this->startTime = $startTime;
+ 		$this->endTime = $endTime;
+ 		$this->text = $text;
+ 	}
+ 
+ 	/**
+ 	 * String-ified version
+ 	 *
+ 	 * @return string
+ 	 */
+ 	public function __toString()
+ 	{
+ 		// There is no $this->data here
+ 		return md5(serialize($this));
+ 	}
+ 
+ 	/**
+ 	 * Get the end time
+ 	 *
+ 	 * @return string|null Time in the format 'hh:mm:ss.SSS'
+ 	 */
+ 	public function get_endtime()
+ 	{
+ 		if ($this->endTime !== null)
+ 		{
+ 			return $this->endTime;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Get the language
+ 	 *
+ 	 * @link http://tools.ietf.org/html/rfc3066
+ 	 * @return string|null Language code as per RFC 3066
+ 	 */
+ 	public function get_language()
+ 	{
+ 		if ($this->lang !== null)
+ 		{
+ 			return $this->lang;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Get the start time
+ 	 *
+ 	 * @return string|null Time in the format 'hh:mm:ss.SSS'
+ 	 */
+ 	public function get_starttime()
+ 	{
+ 		if ($this->startTime !== null)
+ 		{
+ 			return $this->startTime;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Get the text of the caption
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_text()
+ 	{
+ 		if ($this->text !== null)
+ 		{
+ 			return $this->text;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Get the content type (not MIME type)
+ 	 *
+ 	 * @return string|null Either 'text' or 'html'
+ 	 */
+ 	public function get_type()
+ 	{
+ 		if ($this->type !== null)
+ 		{
+ 			return $this->type;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ }
+ 
